<template>
  <transition name="fade">
    <div v-if="isOpen" class="sticky_compare">
      <div class="container flex">
        <div class="list">
          <div v-for="(item, index) in compares" :key="item.sku" class="items">
            <nuxt-link
              class="ava"
              :to="'/' + item.shared_url + '?option=' + item.sku"
            >
              <img
                v-if="item.thumbnail != '/'"
                class="lazyload"
                :data-src="resizeImage(baseImageUrl + item.thumbnail, 48, 48)"
                alt="product image"
              />
              <img
                v-else
                src="/images/placeholder/placeholder-small.svg"
                alt="product image"
              />
            </nuxt-link>
            <div class="content">
              <h4 class="name">
                <nuxt-link :to="'/' + item.shared_url + '?option=' + item.sku">
                  <a href="#">{{ item.name }}</a>
                </nuxt-link>
              </h4>
              <div class="code">SKU: {{ item.sku }}</div>
            </div>
            <a
              class="delete"
              href="javascript:;"
              @click.prevent="removeCompare(index)"
            >
              ×
            </a>
          </div>
          <div v-if="compares.length < 4" class="items"></div>
        </div>
        <div class="btn-control">
          <nuxt-link to="/so-sanh" class="btn-default">So sánh</nuxt-link>
          <a
            class="cancel"
            href="javascript:;"
            @click.prevent="removeAllCompare()"
          >
            Xóa tất cả
          </a>
        </div>
      </div>
    </div>
  </transition>
</template>

<script>
import Helper from '../../../assets/config'
import { EventBus } from '~/plugins/bus'
export default {
  name: 'ProductStickyCompare',
  data() {
    return {
      isOpen: false,
    }
  },
  computed: {
    compares() {
      return this.$store.state.compares
    },
    baseImageUrl() {
      return Helper.baseImageUrl
    },
  },
  mounted() {
    EventBus.$on('open-block-compare', (el) => {
      el === true ? (this.isOpen = true) : (this.isOpen = false)
    })
  },
  methods: {
    resizeImage(url, width, height) {
      return Helper.resizeImage(url, width, height)
    },
    removeCompare(index) {
      this.$store.commit('removecompare', index)
    },
    removeAllCompare() {
      this.$store.commit('removeallcompare')
    },
  },
}
</script>
